## draco 1.5.6+dfsg

=== CMakeLists.txt ===
# Copyright 2021 The Draco Authors
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
project(draco C CXX)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(draco_root "${CMAKE_CURRENT_SOURCE_DIR}")
set(draco_src_root "${draco_root}/src/draco")
set(draco_build "${CMAKE_BINARY_DIR}")

if("${draco_root}" STREQUAL "${draco_build}")
  message(
    FATAL_ERROR
      "Building from within the Draco source tree is not supported.\n"
      "Hint: Run these commands\n"
      "$ rm -rf CMakeCache.txt CMakeFiles\n"
      "$ mkdir -p ../draco_build\n"
      "$ cd ../draco_build\n"
      "And re-run CMake from the draco_build directory.")
endif()

include(FindPythonInterp)
include("${draco_root}/cmake/draco_build_definitions.cmake")
include("${draco_root}/cmake/draco_cpu_detection.cmake")
include("${draco_root}/cmake/draco_dependencies.cmake")
include("${draco_root}/cmake/draco_emscripten.cmake")
include("${draco_root}/cmake/draco_flags.cmake")
include("${draco_root}/cmake/draco_helpers.cmake")
include("${draco_root}/cmake/draco_install.cmake")
include("${draco_root}/cmake/draco_intrinsics.cmake")
include("${draco_root}/cmake/draco_options.cmake")
include("${draco_root}/cmake/draco_sanitizer.cmake")
include("${draco_root}/cmake/draco_targets.cmake")
include("${draco_root}/cmake/draco_tests.cmake")
include("${draco_root}/cmake/draco_variables.cmake")

# C++ and linker flags.
draco_track_configuration_variable(DRACO_CXX_FLAGS)
draco_track_configuration_variable(DRACO_EXE_LINKER_FLAGS)

# Sanitizer integration.
draco_track_configuration_variable(DRACO_SANITIZE)

# Generated source file directory.
draco_track_configuration_variable(DRACO_GENERATED_SOURCES_DIRECTORY)

# Controls use of std::mutex and absl::Mutex in ThreadPool.
draco_track_configuration_variable(DRACO_THREADPOOL_USE_STD_MUTEX)


if(DRACO_VERBOSE)
  draco_dump_cmake_flag_variables()
  draco_dump_tracked_configuration_variables()
  draco_dump_options()
endif()

# Compiler/linker flags must be lists, but come in from the environment as
# strings. Break them up:
if(NOT "${DRACO_CXX_FLAGS}" STREQUAL "")
  separate_arguments(DRACO_CXX_FLAGS)
endif()
if(NOT "${DRACO_EXE_LINKER_FLAGS}" STREQUAL "")
  separate_arguments(DRACO_EXE_LINKER_FLAGS)
endif()

draco_reset_target_lists()
draco_setup_options()
draco_set_build_definitions()
draco_set_cxx_flags()
draco_set_exe_linker_flags()
draco_generate_features_h()

# Draco source file listing variables.
list(
  APPEND draco_attributes_sources
         "${draco_src_root}/attributes/attribute_octahedron_transform.cc"
         "${draco_src_root}/attributes/attribute_octahedron_transform.h"
         "${draco_src_root}/attributes/attribute_quantization_transform.cc"
         "${draco_src_root}/attributes/attribute_quantization_transform.h"
         "${draco_src_root}/attributes/attribute_transform.cc"
         "${draco_src_root}/attributes/attribute_transform.h"
         "${draco_src_root}/attributes/attribute_transform_data.h"
         "${draco_src_root}/attributes/attribute_transform_type.h"
         "${draco_src_root}/attributes/geometry_attribute.cc"
         "${draco_src_root}/attributes/geometry_attribute.h"
         "${draco_src_root}/attributes/geometry_indices.h"
         "${draco_src_root}/attributes/point_attribute.cc"
         "${draco_src_root}/attributes/point_attribute.h")

list(
  APPEND
    draco_compression_attributes_dec_sources
    "${draco_src_root}/compression/attributes/attributes_decoder.cc"
    "${draco_src_root}/compression/attributes/attributes_decoder.h"
    "${draco_src_root}/compression/attributes/attributes_decoder_interface.h"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_decoder.cc"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_decoder.h"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_shared.h"
    "${draco_src_root}/compression/attributes/mesh_attribute_indices_encoding_data.h"
    "${draco_src_root}/compression/attributes/normal_compression_utils.h"
    "${draco_src_root}/compression/attributes/point_d_vector.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoder.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoders_controller.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoders_controller.h"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_decoder.h"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_decoder.h"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_decoder.h"
)

list(
  APPEND
    draco_compression_attributes_enc_sources
    "${draco_src_root}/compression/attributes/attributes_encoder.cc"
    "${draco_src_root}/compression/attributes/attributes_encoder.h"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_encoder.cc"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_encoder.h"
    "${draco_src_root}/compression/attributes/linear_sequencer.h"
    "${draco_src_root}/compression/attributes/points_sequencer.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoder.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoders_controller.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoders_controller.h"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_encoder.h"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_encoder.h"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_encoder.h"
)


list(
  APPEND
    draco_compression_attributes_pred_schemes_dec_sources
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_data.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_area.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_multi_parallelogram_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_predictor.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder_factory.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder_interface.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_delta_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_factory.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_interface.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_canonicalized_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_canonicalized_transform_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_transform_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_wrap_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_wrap_transform_base.h"
)

list(
  APPEND
    draco_compression_attributes_pred_schemes_enc_sources
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_data.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_area.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_multi_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_predictor.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_delta_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.cc"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_interface.h"

=== debian/changelog ===
draco (1.5.6+dfsg-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:57:09 +0200

draco (1.5.6+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with libtinygltf-dev >= 2.8.12 (Closes: #1041021)

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 20:13:37 +0200

draco (1.5.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 00:35:24 +0200

draco (1.5.6+dfsg-1) experimental; urgency=medium

  * Fix FTBFS with GCC-13 (Closes: #1037626)
  * New upstream version 1.5.6+dfsg
  * Refresh patches
  * Bump SONAME to 8
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jun 2023 19:41:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility-inlines-hidden

#BUILD_TESTS = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
# Unit tests are currently broken
BUILD_TESTS = OFF

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DDRACO_TESTS=$(BUILD_TESTS) \
		-DDRACO_VERBOSE=3 \
		-DDRACO_TRANSCODER_SUPPORTED=ON \
		-DDRACO_EIGEN_PATH=/usr/include/eigen3 \
		-DDRACO_FILESYSTEM_PATH=/usr/include \
		-DDRACO_GOOGLETEST_PATH=/usr/src/googletest \
		-DDRACO_TINYGLTF_PATH=/usr/include/stb \
		-DCMAKE_SKIP_RPATH=ON

execute_after_dh_auto_install:
	mv debian/tmp/usr/bin/draco_encoder-* debian/tmp/usr/bin/draco_encoder
	mv debian/tmp/usr/bin/draco_decoder-* debian/tmp/usr/bin/draco_decoder
	mv debian/tmp/usr/bin/draco_transcoder-* debian/tmp/usr/bin/draco_transcoder

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 dversionmangle=auto,oversionmangle=s/$/+dfsg/,repack \
 https://api.github.com/repos/google/draco/tags \
 tarball/(?:.*?/)?v?@ANY_VERSION@

## draco 1.5.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,9 @@
 # the License.
 
 cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
+if(DRACO_TRANSCODER_SUPPORTED)
+  set(CMAKE_CXX_STANDARD 17)
+endif()
 project(draco C CXX)
 
 if(NOT CMAKE_BUILD_TYPE)
@@ -199,4 +202,3 @@
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder.h"
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.cc"
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.h"
-    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_interface.h"

=== debian/changelog ===
draco (1.5.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Migrate debian/watch to version 5 format
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Feb 2026 16:05:17 +0100

draco (1.5.7+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.7+dfsg
  * Refresh patches (no functional changes)
  * Bump SONAME to 9

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Mar 2024 12:59:39 +0100

draco (1.5.6+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with GCC-15 (Closes: #1096543)

 -- Timo Röhling <roehling@debian.org>  Wed, 07 Jan 2026 19:54:00 +0100

=== debian/control ===
Source: draco
Section: libs
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 googletest,
 libeigen3-dev (>= 3.4),
 libstb-dev,
 libtinygltf-dev,
 nlohmann-json3-dev,
Homepage: https://github.com/google/draco
Standards-Version: 4.7.3
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/draco.git
Vcs-Browser: https://salsa.debian.org/roehling/draco
Description: Library for compressing 3D geometric meshes and point clouds
 Draco is a library for compressing and decompressing 3D geometric meshes
 and point clouds. It is intended to improve the storage and transmission
 of 3D graphics.
 .
 Draco is designed and built for compression efficiency and speed. The code
 supports compressing points, connectivity information, texture coordinates,
 color information, normals, and any other generic attributes associated with
 geometry. With Draco, applications using 3D graphics can be significantly
 smaller without compromising visual fidelity. For users, this means apps can
 now be downloaded faster, 3D graphics in the browser can load quicker, and VR
 and AR scenes can now be transmitted with a fraction of the bandwidth and
 rendered quickly.

Package: draco
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Encoder and decoder for 3D geometric meshes and point clouds
 ${source:Extended-Description}
 .
 This package provides command line tools to compress and decompress files
 using Draco.

Package: libdraco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdraco9 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (headers)
 ${source:Extended-Description}
 .
 This package provides the development headers for the library.

Package: libdraco9
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/tests/control ===
Tests:
 build-and-link check-idempotency,
Depends:
 cmake,
 g++,
 libdraco-dev,
Restrictions:
 superficial,

=== debian/watch ===
Version: 5

Template: Github
Owner: google
Project: draco
Dversion-Mangle: auto
Uversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg
